package ict11;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.Enumeration;

public class Crypto extends HttpServlet
    { 
        /**
         * Handle the HTTP GET method by building a simple web page.
         */
        public void doGet (HttpServletRequest request,
                	   HttpServletResponse response)
        throws ServletException, IOException
        {
	    PrintWriter		out;
	    String	title = "Output";

	    // set content type and other response header fields first
        response.setContentType("text/html");

	    // then write the data of the response
	    out = response.getWriter();

        out.println("<HTML><HEAD><TITLE>");
	    out.println(title);
	    out.println("</TITLE></HEAD><BODY>");

		String output="";


		Enumeration e = request.getParameterNames();
		if (! e.hasMoreElements())
			out.println("Cannot encrypt - no parameters.");
		else  {	
			String key = request.getParameter("key");
			String message = request.getParameter("message");
			String encordec = request.getParameter("encordec");
			String alg = request.getParameter("alg");

			boolean dec = encordec.equals("decrypt");

			if (alg.equalsIgnoreCase("rijndael")) {
				if (! dec)
					output=CallRijndael.encrypt(key,message);
				else
					output=CallRijndael.decrypt(key,message);
			}
			else if (alg.equalsIgnoreCase("elgamal")) {
				if (! dec)
					output=CallElGamal.encrypt(key,message);
				else
					output=CallElGamal.decrypt(key,message);
			}
			else 
				out.println("Did not recognoise encryption Algorithm");
		}
		out.println("<textarea rows=\"10\" cols=\"100\">");
		out.println(output);
		out.println("</textarea>");
	    out.println("</BODY></HTML>");
	    out.close();
        }
    }
