import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

public class EncryptionDevice extends JFrame implements ActionListener{ 
	JTextArea area;
	JTextField key;
	JButton encrypt, decrypt;

	public EncryptionDevice() {
		super("Encryptomania");
		init();
		setSize(400,400);
		setVisible(true);
	}

	public void init() {
		Container con = getContentPane();

		JPanel pp = new JPanel(new GridLayout(1,1));
		
		key= new JTextField(100);
		pp.add(key);

		con.add(pp,BorderLayout.NORTH);

		area= new JTextArea();
		con.add(area,BorderLayout.CENTER);
		
		encrypt = new JButton("Encrypt");
		decrypt = new JButton("Decrypt");
		encrypt.addActionListener(this);
		decrypt.addActionListener(this);
		Container p;
		con.add(p=new Panel(),BorderLayout.SOUTH);
		p.add(encrypt);
		p.add(decrypt);
		
		setDefaultCloseOperation(3);
	}

	public void actionPerformed(ActionEvent e) {
		try {
		if (e.getActionCommand().equals("Encrypt")) {
			String message = area.getText();
			String ky = key.getText();
			ElGamalPublicKey pk = new ElGamalPublicKey(ky);
			EncryptedMessage enc = Wrapper.encrypt(message,pk);
			area.setText(enc.toString());
		}
		}catch (Exception ex) {
			System.out.println(ex.toString());}
	}


	public static void main(String[] args) {
		new EncryptionDevice();
	}
}
		
