package ict11;

public class EncryptionTools {

	//It is assumed that the array is padded to account for 1-f
	public static int [] readHexArray(String s) {
		int [] arr = new int [s.length()/2];
		for (int i=0; i<arr.length; i++)
			arr[i] = Integer.parseInt(s.substring(i*2, i*2+2),16);
		return arr;
	}

	public static String writeHexArray(int [] arr) {
		StringBuffer buf = new StringBuffer();
		buf.append(arr[0]);
		for (int i=1; i<arr.length; i++) {
			String hex = Integer.toString(arr[i],16);
			while (hex.length() <2) hex = "0"+hex;
			buf.append(hex);
		}
		return buf.toString();
	}

	public static String writeHexArray(int [][] arr) {
		StringBuffer buf = new StringBuffer();
		for (int i=0; i<arr.length; i++) 
			for (int j=0; j<arr[0].length; j++) {
				String hex = Integer.toString(arr[j][i],16);
				while (hex.length() <2) hex = "0"+hex;
				buf.append(hex);
		}
		return buf.toString();
	}

	public static int [] toCharacterEncoding(String s) {
		int [] m = new int[s.length()];
		for (int i=0; i<m.length; i++)
			m[i]=(byte)s.charAt(i);
		return m;
	}

	public static String fromCharacterEncoding(int [] m) {
		String s="";
		for (int i=0; i<m.length; i++) 
			s=s+(char)m[i];
		return s;	
	}

	public static void main (String []args) {
		int [] arr = readHexArray("000102030405060708090a0b0c0d0e0f101112131415161718191a1b1c1d1e1f");
		for (int i=0; i<arr.length; i++) 
			System.out.println(arr[i]+" ");
		System.out.println(writeHexArray(arr));
		int [] arr2 = toCharacterEncoding("000102030405060708090a0b0c0d0e0f101112131415161718191a1b1c1d1e1f");
		System.out.println(fromCharacterEncoding(arr2));
	}

/*	public static int [][] toState(int [] arr) {	
		int [][] state = new int [4][4];
		for (int i=0; i<4; i++) 
			for (int j=0; j<4; j++)
				state[i][j] = arr[(j*4)+i];
*/
}
