import java.math.BigInteger;
import java.util.Vector;

/** 
 * This class adds methods that work with strings instead of arrays full of
 * BigIntegers. T
 */

public class ElGamalWrapper {

	public static EncryptedMessage encrypt(String message, ElGamalPublicKey key) {

		BigInteger [] plaintext = encodeMessage(message, key.p);

		return ElGamal.encrypt(plaintext, key);
	}
	public static String decrypt(EncryptedMessage ciphertext, ElGamalPrivateKey key) {
		
		BigInteger [] plaintext = ElGamal.decrypt(ciphertext, key);

		return decodeMessage(plaintext);

	}

	/*private static BigInteger [] encodeMessage(String message, BigInteger p) {
		byte [] byteform = message.getBytes();
		//How many bytes per block.
		int bpb = 1;
		while (p.compareTo(BigInteger.valueOf(2).pow(bpb*8)) > 0) 
			bpb++;
		//how many blocks = no. of bytes / bpb
		BigInteger [] encoded = new BigInteger[(byteform/bpb) + ((byteform % bpb == 0) ? 0 : 1)];
		
		for (int i=0; i<encoded.length; i++) {
			BigInteger roisin = BigInteger.ZERO;
			for (int j=0; j<bpb; j++) {
				BigInteger temp = 
			}
			encoded[i]=roisin;
		}
				
	}*/
	private static BigInteger [] encodeMessage(String message, BigInteger p) {
		BigInteger entire = new BigInteger(message.getBytes());
		System.out.println(entire.toString(2));
		Vector v = new Vector();
		int blocklen = 0;
		while (p.compareTo(BigInteger.valueOf(2).pow(blocklen+1)) > 0)
			blocklen++;
		blocklen=blocklen-2;
		//num should be all 1s in binary, the length of blocklen
		int num = ((int) Math.pow(2,blocklen+1)) - 1;
		BigInteger knocker = BigInteger.valueOf(num);
		System.out.println("This far");
		while (entire.compareTo(BigInteger.ZERO) > 0) {
			BigInteger lowest = entire.and(knocker);
			System.out.println(lowest.toString(2));
			entire = entire.shiftRight(blocklen+1);
			v.addElement(lowest);
		}			 //whazzup
		v.addElement(BigInteger.valueOf(blocklen));

		BigInteger [] result = new BigInteger[v.size()];
		for (int i=0; i<result.length; i++) {
			result[i] = (BigInteger) v.elementAt(i);
			if (result[i].compareTo(p)>=0)	
				System.out.println("Bigger than pee");
		}
		return result;
	}


	private static String decodeMessage(BigInteger [] plaintext) {
		BigInteger result = BigInteger.ZERO;
		int blcksz = plaintext[plaintext.length-1].intValue();
		for (int i=plaintext.length-2; i>=0; i--) {
//			System.out.println(plaintext[i]);
			result = result.shiftLeft(blcksz);
			result = result.add(plaintext[i]);
//			System.out.println(result);
		}
		System.out.println(result);
		byte [] arr = result.toByteArray();
		return new String(arr);
	}

	public static void main(String  []args ) {
		int order=0;
		try {
			order = Integer.parseInt(args[0]);
		}
		catch (Exception r) {
			System.out.println("Specify the order for the key. E.g. ElGamalWrapper 25");
			return;
		}
		BigInteger p = ElGamalKeyGenerator.generate(order).getP();
		String test = "This is a short little message that is being used to \r\n"
					+ "test the damn encoder. We'll have to wait and see what\r\n"
					+ "happens. Oh! Isn't it exciting?";
		System.out.println(test+"\r\n\r\nwas to go to \r\n");
		System.out.println("\""+decodeMessage(encodeMessage(test,p))+"\"");
	}


}
